<?php
/****************优客365网址导航系统 商业版********************/
/*                                                            */
/*  Youke365.com (C)2017 Youke365 Inc.                        */
/*  This is NOT a freeware, use is subject to license terms   */
/*  优客365网址导航系统是商业软件,使用于商业用途请购买授权    */
/*  V1.0 2017                                                 */
/*  技术支持：1513773524@qq.com                               */
/*  官方网址：http://www.youke365.com                         */
/*  官方论坛：http://bbs.youke365.com                         */                           
/**************************************************************/

require('./admin.inc.php');

$pagetitle = SYS_NAME.SYS_VERSION;
$fileurl = 'login.php';
$tempfile = 'login.html';
$table = $DB->table('users');

if ($_POST['act'] == 'login') {
	$nick_name = I($_POST['username']);
	$pass = I($_POST['pass']);
	
	if (empty($nick_name)) {
		msgbox('请输入正确的用户名！');
	}
	if (empty($pass)) {
		msgbox('请输入登陆密码！');
	}
	
	$user = $DB->fetch_one("SELECT user_id, user_pass, login_count FROM $table WHERE user_type='admin' AND nick_name='$nick_name'");
	if ($user['user_id'] && $user['user_pass'] == md5($pass)) {
		$ip_address = sprintf("%u", ip2long(get_client_ip()));
		$login_count = $user['login_count'] + 1;
		$data = array(
			'login_time' => time(),
			'login_ip' => $ip_address,
			'login_count' => $login_count,
		);
		$where = array('user_id' => $user['user_id']);
		$DB->update($table, $data, $where);
		$user_auth = authcode("$user[user_id]@$user[user_pass]");
		setcookie('user_auth', $user_auth);
		
		redirect('index.php');
	} else {
		msgbox('用户名或密码错误，请重试！');
	}
}

if ($_GET['act'] == 'logout') {
	setcookie('user_auth', '');
	redirect('../');
}

smarty_output($tempfile);
?>